Subject: Re: [ieee-ietf-coord] Aid with draft-ietf-i2rs-yang-l2-network-topology-14

From: Qin Wu <[email-masked]>
Date: Thu, 9 Jul 2020 02:06:08 +0000

Glenn:
Confused with your statement, a few clarifications:
1.L2 Topology model is not L2 configuration model overlapping with IEEE work, L2 Topology is built on topo of network topology YANG data model (i.e.,RFC8345)defined by IETF.
2.L2 topology model has already respected IEEE work and reuse data types defined by IEEE 802.1 related YANG data model work.

-Qin
发件人: Glenn Parsons [mailto:[email-masked]]
发送时间: 2020年7月9日 9:57
收件人: Susan Hares <[email-masked]>; [email-masked]
抄送: [email-masked]
主题: RE: [ieee-ietf-coord] Aid with draft-ietf-i2rs-yang-l2-network-topology-14

I will start by expressing my disappointment.

There has been a YANG item on our coordination list for years.  We have been updating IETF on our YANG module work and our issues.  We have been integrating IEEE work into the IETF YANG catalog as drafts and final approved modules.  This IETF L2 YANG module clearly overlaps with IEEE 802.1 and yet as far as I can tell this is the first indication of that to us.  It is not even in your YANG catalog as a draft.  Hours before your final approval, there is an urgent request for comment.    I would instead request that this be deferred by IESG to give 802.1 time to review the module at our plenary next week.

That said, all the IEEE 802.1 YANG modules are  on our website:  http://ieee802.org/1/files/public/YANGs/
And they are also in the YANG catalog github repository.
Published modules: https://github.com/YangModels/yang/tree/master/standard/ieee/published/802.1
802.1 Draft modules per project: https://github.com/YangModels/yang/tree/master/standard/ieee/draft/802.1

Clause 12.4 in 802.1Q-2018 is the bridge management entity clause, I suspect you are asking about the bridges/bridge/address in the YANG module.

IEEE 802.1Qcp-2018 should be normative (it is freely available https://ieeexplore.ieee.org/document/8467507).  The document should be clearer than just looking at the modules, for example Table 48-7 shows Generic bridge management information.

Cheers,
Glenn.

--
Glenn Parsons
Chair, IEEE 802.1 WG
[email-masked]<mailto:[email-masked]>
+1-613-963-8141

From: ieee-ietf-coord <[email-masked]<mailto:[email-masked]>> On Behalf Of Susan Hares
Sent: Wednesday, July 8, 2020 1:33 PM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [ieee-ietf-coord] Aid with draft-ietf-i2rs-yang-l2-network-topology-14

Greetings IEEE and IETF coordination team:

https://datatracker.ietf.org/doc/draft-ietf-i2rs-yang-l2-network-topology/

is being reviewed by the IESG for publication as an RFC.  It is being proposed by the I2RS WG.
This draft provides a Yang model for L2 logical topologies that is being combined with L3 logical network models.  This model is being implemented by 3+ vendors.   In this process, we have the following questions that overlap between IEEE and IETF.

1) Regarding system management  MAC Address –

Where in 802.1Q-2018 do I find the Yang model for the system management port for a switch?

By system management, I mean that port that configuration information is exchanged about.   I do not mean the port that sends LLDP packets.

http://ieee802.org/1/files/public/YANGs/ieee802-dot1q-bridge.yang<https://protect2.fireeye.com/v1/url?k=516a7d20-0fcac74e-516a3dbb-866038973a15-2c9158d6b703682e&q=1&e=42b15d09-5d4e-483a-812a-dffdf64a4195&u=http%3A%2F%2Fieee802.org%2F1%2Ffiles%2Fpublic%2FYANGs%2Fieee802-dot1q-bridge.yang>

2)  Where can I find the latest status of yang models for the time sensitive work in 802.1?

This model considers an L2 port as a termination point which is “in  use” for traffic, blocking traffic, down (due to hardware) or some other function.   We wish to determine if time sensitive configurations will provide another concept for port.  A general explanation would be helpful.

3) Would liaison give me  reading on what status the following references should be in

draft-ietf-i2rs-yang-l2-network-topology?

Ben Kaduk suggests that:

  a) Normative --> informative   RFC3688 and RFC7951

  b) Informative--> normative: [IEEE802.1Qcp], RFC7348

I’d appreciate your joint opinion on these matters.   We are trying to follow the best common practices of both IEEE and IETF in this draft.

Susan Hares
Co-chair I2RS
Shepherd for draft-ietf-i2rs-yang-l2-network-topology

---

From: "Susan Hares" <[email-masked]>
Date: Thu, 9 Jul 2020 04:30:16 -0400

Glen:

I’m sorry you feel disappointed in the coordination between IETF and IEEE.

Please note that this work predates your work with the Yang modules (first
WG draft is April, 2015), and should have been mentioned in these
discussions since that time.  This WG draft is not a recent event.  Where
and how the coordination teams missed this draft is something you can
discuss with IETF leadership.   From my viewpoint, my understanding is that
the IETF-IEEE interactions were to be placed through this IETF-IEEE
committee for liaison.   Members of the IESG were to pass information
regarding our drafts to this committee. 

Since I was asked to double check this coordination, I went directly to the
email list (per Alvaro Retana).  In my work as a WG chair, I have repeatedly
tried to get the IETF side of this IETF-IEEE committee to validate our work,
and to coordinate with IEEE 802.1.    

If you are going to review this document at your IEEE meeting,  please be
aware it is a logical topology that creates a virtual model of layer 2
networks for network management purposes.  This virtual model attaches to a
virtual layer 3 model.   As Qin mentioned, I recommend you RFC 8345 and send
me questions if the difference between the physical construct (IEEE) and
this virtual topology (IETF NM) is unclear.   As Qin states, this is not an
overlap with IEEE models but an virtual topology built on top of an existing
IETF NM model.  We have used IEEE Yang models and definitions where ever
possible as IEEE models came into being (2015-2018) in the L2 model.  

Prior to sending this query, I found and downloaded the files you mentioned.
(I’m an IEEE member and a past participant in IEEE 802.1) .  

On my question 1:   I am asking for clarity on Table 48-7, page 29-30 in
802.1Q-2018.  

The Bridge structure has “name” (r-w), “address” (r-w), type (r-w),
ports (12.4) and uptime (12.4).   This structure is required for bridges.

In deployed switches, there is a sys-mac-address with the ability to have a
VLAN-ID attached.   How does IEEE 802.1 view this difference?   As far as
the Yang module (dated 2018), is this functional a vendor augmentation to
the base model?  

Do you wish to provide input on my questions 2 and 3?  

Thank you, Susan Hares  

From: Qin Wu [mailto:[email-masked]] 
Sent: Wednesday, July 8, 2020 10:06 PM
To: Glenn Parsons; Susan Hares; [email-masked]
Cc: [email-masked]
Subject: RE: [ieee-ietf-coord] Aid with
draft-ietf-i2rs-yang-l2-network-topology-14

Glenn:

1.L2 Topology model is not L2 configuration model overlapping with IEEE
work, L2 Topology is built on topo of network topology YANG data model
(i.e.,RFC8345)defined by IETF. 

2.L2 topology model has already respected IEEE work and reuse data types
defined by IEEE 802.1 related YANG data model work.

-Qin

发件人: Glenn Parsons [mailto:[email-masked]] 
发送时间: 2020年7月9日 9:57
收件人: Susan Hares <[email-masked]>; [email-masked]
抄送: [email-masked]
主题: RE: [ieee-ietf-coord] Aid with
draft-ietf-i2rs-yang-l2-network-topology-14

There has been a YANG item on our coordination list for years.  We have been
updating IETF on our YANG module work and our issues.  We have been
integrating IEEE work into the IETF YANG catalog as drafts and final
approved modules.  This IETF L2 YANG module clearly overlaps with IEEE 802.1
and yet as far as I can tell this is the first indication of that to us.  It
is not even in your YANG catalog as a draft.  Hours before your final
approval, there is an urgent request for comment.    I would instead request
that this be deferred by IESG to give 802.1 time to review the module at our
plenary next week.

That said, all the IEEE 802.1 YANG modules are  on our website:
http://ieee802.org/1/files/public/YANGs/ 

Published modules:
https://github.com/YangModels/yang/tree/master/standard/ieee/published/802.1

802.1 Draft modules per project:
https://github.com/YangModels/yang/tree/master/standard/ieee/draft/802.1

Clause 12.4 in 802.1Q-2018 is the bridge management entity clause, I suspect
you are asking about the bridges/bridge/address in the YANG module.

IEEE 802.1Qcp-2018 should be normative (it is freely available
https://ieeexplore.ieee.org/document/8467507).  The document should be
clearer than just looking at the modules, for example Table 48-7 shows
Generic bridge management information.

Cheers,

Glenn.

--

Glenn Parsons

Chair, IEEE 802.1 WG

[email-masked]

+1-613-963-8141

From: ieee-ietf-coord <[email-masked]> On Behalf Of Susan
Hares
Sent: Wednesday, July 8, 2020 1:33 PM
To: [email-masked]
Cc: [email-masked]
Subject: [ieee-ietf-coord] Aid with
draft-ietf-i2rs-yang-l2-network-topology-14

is being reviewed by the IESG for publication as an RFC.  It is being
proposed by the I2RS WG.

This draft provides a Yang model for L2 logical topologies that is being
combined with L3 logical network models.  This model is being implemented by
3+ vendors.   In this process, we have the following questions that overlap
between IEEE and IETF.   

Where in 802.1Q-2018 do I find the Yang model for the system management port
for a switch? 

By system management, I mean that port that configuration information is
exchanged about.   I do not mean the port that sends LLDP packets. 

http://ieee802.org/1/files/public/YANGs/ieee802-dot1q-bridge.yang
<https://protect2.fireeye.com/v1/url?k=516a7d20-0fcac74e-516a3dbb-866038973a
15-2c9158d6b703682e&q=1&e=42b15d09-5d4e-483a-812a-dffdf64a4195&u=http%3A%2F%
2Fieee802.org%2F1%2Ffiles%2Fpublic%2FYANGs%2Fieee802-dot1q-bridge.yang> 

2)  Where can I find the latest status of yang models for the time sensitive
work in 802.1? 

This model considers an L2 port as a termination point which is “in  use”
for traffic, blocking traffic, down (due to hardware) or some other
function.   We wish to determine if time sensitive configurations will
provide another concept for port.  A general explanation would be helpful. 

3) Would liaison give me  reading on what status the following references
should be in

Ben Kaduk suggests that: 

I’d appreciate your joint opinion on these matters.   We are trying to
follow the best common practices of both IEEE and IETF in this draft.  

Susan Hares

Co-chair I2RS

---

From: Glenn Parsons <[email-masked]>
Date: Thu, 9 Jul 2020 16:40:44 +0000

Sue,

I do appreciate you checking if there was coordination on this document.  As I noted we had not been previously aware of it.

I answered your questions to the best of my ability yesterday.

The 802.1 YANGsters group meets next Thursday and can provide a fuller review of the document (including more complete answers to your questions) than I can as the WG chair.

Cheers,
Glenn.

From: Susan Hares <[email-masked]>
Sent: Thursday, July 9, 2020 4:30 AM
To: 'Qin Wu' <[email-masked]>; Glenn Parsons <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: RE: [ieee-ietf-coord] Aid with draft-ietf-i2rs-yang-l2-network-topology-14

Glen:

Please note that this work predates your work with the Yang modules (first WG draft is April, 2015), and should have been mentioned in these discussions since that time.  This WG draft is not a recent event.  Where and how the coordination teams missed this draft is something you can discuss with IETF leadership.   From my viewpoint, my understanding is that the IETF-IEEE interactions were to be placed through this IETF-IEEE committee for liaison.   Members of the IESG were to pass information regarding our drafts to this committee.

Since I was asked to double check this coordination, I went directly to the email list (per Alvaro Retana).  In my work as a WG chair, I have repeatedly tried to get the IETF side of this IETF-IEEE committee to validate our work, and to coordinate with IEEE 802.1.

If you are going to review this document at your IEEE meeting,  please be aware it is a logical topology that creates a virtual model of layer 2 networks for network management purposes.  This virtual model attaches to a virtual layer 3 model.   As Qin mentioned, I recommend you RFC 8345 and send me questions if the difference between the physical construct (IEEE) and this virtual topology (IETF NM) is unclear.   As Qin states, this is not an overlap with IEEE models but an virtual topology built on top of an existing IETF NM model.  We have used IEEE Yang models and definitions where ever possible as IEEE models came into being (2015-2018) in the L2 model.

Prior to sending this query, I found and downloaded the files you mentioned.  (I’m an IEEE member and a past participant in IEEE 802.1) .

On my question 1:   I am asking for clarity on Table 48-7, page 29-30 in 802.1Q-2018.

The Bridge structure has “name” (r-w), “address” (r-w), type (r-w), ports (12.4) and uptime (12.4).   This structure is required for bridges.

In deployed switches, there is a sys-mac-address with the ability to have a VLAN-ID attached.   How does IEEE 802.1 view this difference?   As far as the Yang module (dated 2018), is this functional a vendor augmentation to the base model?

Thank you, Susan Hares

From: Qin Wu [mailto:[email-masked]]
Sent: Wednesday, July 8, 2020 10:06 PM
To: Glenn Parsons; Susan Hares; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: [ieee-ietf-coord] Aid with draft-ietf-i2rs-yang-l2-network-topology-14

Glenn:

-Qin
发件人: Glenn Parsons [mailto:[email-masked]]
发送时间: 2020年7月9日 9:57
收件人: Susan Hares <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
抄送: [email-masked]<mailto:[email-masked]>
主题: RE: [ieee-ietf-coord] Aid with draft-ietf-i2rs-yang-l2-network-topology-14

That said, all the IEEE 802.1 YANG modules are  on our website:  http://ieee802.org/1/files/public/YANGs/<https://protect2.fireeye.com/v1/url?k=726f4484-2cdfd91c-726f041f-861fcb972bfc-60c7268723bc795b&q=1&e=2850473c-7f5a-4262-ac44-3fbb1fd4b400&u=http%3A%2F%2Fieee802.org%2F1%2Ffiles%2Fpublic%2FYANGs%2F>
And they are also in the YANG catalog github repository.
Published modules: https://github.com/YangModels/yang/tree/master/standard/ieee/published/802.1<https://protect2.fireeye.com/v1/url?k=97bad733-c90a4aab-97ba97a8-861fcb972bfc-43b5646805477fde&q=1&e=2850473c-7f5a-4262-ac44-3fbb1fd4b400&u=https%3A%2F%2Fgithub.com%2FYangModels%2Fyang%2Ftree%2Fmaster%2Fstandard%2Fieee%2Fpublished%2F802.1>
802.1 Draft modules per project: https://github.com/YangModels/yang/tree/master/standard/ieee/draft/802.1<https://protect2.fireeye.com/v1/url?k=f12c16d4-af9c8b4c-f12c564f-861fcb972bfc-bd8dd64710685976&q=1&e=2850473c-7f5a-4262-ac44-3fbb1fd4b400&u=https%3A%2F%2Fgithub.com%2FYangModels%2Fyang%2Ftree%2Fmaster%2Fstandard%2Fieee%2Fdraft%2F802.1>

Cheers,
Glenn.

Ben Kaduk suggests that:

Susan Hares
Co-chair I2RS

---

From: Martin Vigoureux <[email-masked]>
Date: Thu, 9 Jul 2020 19:01:01 +0200

Hello Glenn,

thank you. We discussed that document at the IESG call today.
We'll wait for your review before moving that document forward in the 
publication process.

I, as responsible AD, take the responsibility for missing that step.

Regards,
martin

Le 2020-07-09 à 18:40, Glenn Parsons a écrit :
> Sue,
> 
> I do appreciate you checking if there was coordination on this 
> document.  As I noted we had not been previously aware of it.
> 
> The 802.1 YANGsters group meets next Thursday and can provide a fuller 
> review of the document (including more complete answers to your 
> questions) than I can as the WG chair.
> 
> Cheers,
> 
> Glenn.
> 
> *From:* Susan Hares <[email-masked]>
> *Sent:* Thursday, July 9, 2020 4:30 AM
> *To:* 'Qin Wu' <[email-masked]>; Glenn Parsons 
> <[email-masked]>; [email-masked]
> *Cc:* [email-masked]
> *Subject:* RE: [ieee-ietf-coord] Aid with 
> Please note that this work predates your work with the Yang modules 
> (first WG draft is April, 2015), and should have been mentioned in these 
> discussions since that time.  This WG draft is not a recent event. 
>   Where and how the coordination teams missed this draft is something 
> you can discuss with IETF leadership.   From my viewpoint, my 
> understanding is that the IETF-IEEE interactions were to be placed 
> through this IETF-IEEE committee for liaison.   Members of the IESG were 
> to pass information regarding our drafts to this committee.
> 
> Since I was asked to double check this coordination, I went directly to 
> the email list (per Alvaro Retana).  In my work as a WG chair, I have 
> repeatedly tried to get the IETF side of this IETF-IEEE committee to 
> validate our work, and to coordinate with IEEE 802.1.
> 
> If you are going to review this document at your IEEE meeting,  please 
> be aware it is a logical topology that creates a virtual model of layer 
> 2 networks for network management purposes.  This virtual model attaches 
> to a virtual layer 3 model.   As Qin mentioned, I recommend you RFC 8345 
> and send me questions if the difference between the physical construct 
> (IEEE) and this virtual topology (IETF NM) is unclear.   As Qin states, 
> this is not an overlap with IEEE models but an virtual topology built on 
> top of an existing IETF NM model.  We have used IEEE Yang models and 
> definitions where ever possible as IEEE models came into being 
> (2015-2018) in the L2 model.
> 
> Prior to sending this query, I found and downloaded the files you 
> mentioned.  (I’m an IEEE member and a past participant in IEEE 802.1) .
> 
> In deployed switches, there is a sys-mac-address with the ability to 
> have a VLAN-ID attached.   How does IEEE 802.1 view this difference?  
>   As far as the Yang module (dated 2018), is this functional a vendor 
> augmentation to the base model?
> 
> *From:*Qin Wu [mailto:[email-masked]]
> *Sent:* Wednesday, July 8, 2020 10:06 PM
> *To:* Glenn Parsons; Susan Hares; [email-masked] 
> <mailto:[email-masked]>
> *Cc:* [email-masked] 
> <mailto:[email-masked]>
> *Subject:* RE: [ieee-ietf-coord] Aid with 
> *发件人**:*Glenn Parsons [mailto:[email-masked]]
> *发送时间:* 2020年7月9日 9:57
> *收件人:* Susan Hares <[email-masked] <mailto:[email-masked]>>; 
> [email-masked] <mailto:[email-masked]>
> *抄送:* [email-masked] 
> <mailto:[email-masked]>
> *主题:* RE: [ieee-ietf-coord] Aid with 
> There has been a YANG item on our coordination list for years.  We have 
> been updating IETF on our YANG module work and our issues.  We have been 
> approved modules.  This IETF L2 YANG module clearly overlaps with IEEE 
> 802.1 and yet as far as I can tell this is the first indication of that 
> to us.  It is not even in your YANG catalog as a draft.  Hours before 
> your final approval, there is an urgent request for comment.    I would 
> instead request that this be deferred by IESG to give 802.1 time to 
> review the module at our plenary next week.
> 
> <https://protect2.fireeye.com/v1/url?k=726f4484-2cdfd91c-726f041f-861fcb972bfc-60c7268723bc795b&q=1&e=2850473c-7f5a-4262-ac44-3fbb1fd4b400&u=http%3A%2F%2Fieee802.org%2F1%2Ffiles%2Fpublic%2FYANGs%2F> 
> 
> 
> <https://protect2.fireeye.com/v1/url?k=97bad733-c90a4aab-97ba97a8-861fcb972bfc-43b5646805477fde&q=1&e=2850473c-7f5a-4262-ac44-3fbb1fd4b400&u=https%3A%2F%2Fgithub.com%2FYangModels%2Fyang%2Ftree%2Fmaster%2Fstandard%2Fieee%2Fpublished%2F802.1>
> 
> <https://protect2.fireeye.com/v1/url?k=f12c16d4-af9c8b4c-f12c564f-861fcb972bfc-bd8dd64710685976&q=1&e=2850473c-7f5a-4262-ac44-3fbb1fd4b400&u=https%3A%2F%2Fgithub.com%2FYangModels%2Fyang%2Ftree%2Fmaster%2Fstandard%2Fieee%2Fdraft%2F802.1>
> 
> Clause 12.4 in 802.1Q-2018 is the bridge management entity clause, I 
> suspect you are asking about the bridges/bridge/address in the YANG module.
> 
> [email-masked] <mailto:[email-masked]>
> 
> +1-613-963-8141
> 
> *From:* ieee-ietf-coord <[email-masked] 
> <mailto:[email-masked]>> *On Behalf Of *Susan Hares
> *Sent:* Wednesday, July 8, 2020 1:33 PM
> *To:* [email-masked] <mailto:[email-masked]>
> *Cc:* [email-masked] 
> <mailto:[email-masked]>
> *Subject:* [ieee-ietf-coord] Aid with 
> combined with L3 logical network models.  This model is being 
> implemented by 3+ vendors.   In this process, we have the following 
> questions that overlap between IEEE and IETF.
> 
> <https://protect2.fireeye.com/v1/url?k=516a7d20-0fcac74e-516a3dbb-866038973a15-2c9158d6b703682e&q=1&e=42b15d09-5d4e-483a-812a-dffdf64a4195&u=http%3A%2F%2Fieee802.org%2F1%2Ffiles%2Fpublic%2FYANGs%2Fieee802-dot1q-bridge.yang>
> 
> This model considers an L2 port as a termination point which is “in  
> use” for traffic, blocking traffic, down (due to hardware) or some other 
> _______________________________________________
> ieee-ietf-coord mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ieee-ietf-coord
>